import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


public class NameFrame extends JFrame {
    private static final String BTN_TXT = " Start Chatting ...";
    private static final String LABEL_TXT = " Choose Your UserName  ";
    private static final int WIDTH = 300, HEIGHT = 100;
    JTextField textField;
    JButton btn;
    String username;

    public NameFrame(ChatRoomGUI chatRoomGUI) throws HeadlessException {
        super();
        this.setLayout(new BorderLayout());
        JLabel label = new JLabel("Choose Your UserName");
        add(label, BorderLayout.PAGE_START);
        textField = new JTextField();
        add(textField, BorderLayout.CENTER);
        btn = new JButton(BTN_TXT);
        add(btn, BorderLayout.PAGE_END);
        btn.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                doClickAction();
                chatRoomGUI.addNewParticipant(username);
                chatRoomGUI.username = username;
            }
        });
        setSize(WIDTH, HEIGHT);
        setVisible(true);
    }

    public void doClickAction()
    {
        setVisible(false);
        username = textField.getText();
    }
}
