import network.Network;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;

public class MessageArea extends JPanel{
    JTextField textField;
    JButton btn;

    public MessageArea(ChatRoomGUI chatRoomGUI) throws HeadlessException {
        super();
        this.setLayout(new BorderLayout());
        textField = new JTextField();
        textField.setEditable(true);
        add(textField, BorderLayout.CENTER);
        btn = new JButton("SEND");
        add(btn, BorderLayout.EAST);
        btn.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                chatRoomGUI.addNewMessage(chatRoomGUI.username, textField.getText());
                try {
                    Network n = new Network("localhost", 1234, textField.getText());
                } catch (IOException e1) {
                    e1.printStackTrace();
                }
            }
        });
        setVisible(true);
    }
}
